cancel
Showing results for 
Search instead for 
Did you mean: 

dependency problem during SPS update AS JAVA Solution Manager 7.2

former_member13267
Participant
0 Kudos
441

Dear Administrators,

I have an unusual problem,

During SPS update of my AS Java Solution Manager 7.2 I get error ,

that I'm missing some dependency program either installed or in xml queue.

The missing thing is :

sap.com/com.sap.aii.igw.monitoring.ui.app

or

sap.com_tc~lm~itsam~co~ui~xi~msg~wd

--------------------------------------------------------------------------------------------------

full text of error :

The following problem has occurred during step execution: com.sap.sdt.util.diag.DiagException: Validation of deployment queue completed with error: sap.com/SOAMONBASIC: Archive H:\sum\SOAMONBASIC16_0-80000715.SCA for component sap.com/SOAMONBASIC was admitted for deployment Deployment of archive H:\sum\SOAMONBASIC16_0-80000715.SCA --> sap.com~tc~lm~itsam~co~ui~xi~msg~wd.ear for component sap.com/tc~lm~itsam~co~ui~xi~msg~wd is rejected because it does not pass the validation check.

Detailed message:

1. Unresolved dependencies: sap.com/com.sap.aii.igw.monitoring.ui.app not found in the admitted batch items and the repository

Detailed message:

1. Unresolved dependency problem in chain of dependent item

'sap.com\_tc\~lm\~itsam\~co\~ui\~xi\~msg\~wd'.

---------------------------------------------------------------

Do you have idea what should I install beforehand, or add to mopz ?

Best regards,

Peter

former_member13267
Participant
0 Kudos

I found out, that my ,,messaging'' component is missing this development component

com.sap.aii.igw.monitoring.ui.app

however, I checked and other solution manager, that's just 1 patch below mine

(mine is 7.50 patch 16, the other system is 7.50 patch 15 ) has it !
Could someone point me, what should I do now ?

ucabazz
Active Participant

Hi strukiel1,

I checked in SOLMAN 7.2 SPS08 in Java AS there is MESSAGING SCA 740.17.0 and no com.sap.aii.igw.monitoring.ui.app component in this SCA.

Recently I updated from SPS08 to SPS11 and in latter there is such development component in the MESSAGING SCA 750.16.0.

--Abay

Accepted Solutions (0)

Answers (2)

Answers (2)

ucabazz
Active Participant
0 Kudos

strukiel1,

What is the level of MESSAGING component that you incuded in installation files? it should be MESSAGING16_0-80000682.sca.

--Abay

former_member13267
Participant
0 Kudos

If you mean, which SCA was added by MOPZ to update queue, which I later downloaded and showed sum for update,

then yes, the file added by MOPZ is the same you mentioned :

MESSAGING16_0-80000682.SCA

there are no other messaging SCA files in sps packages catalogue except for that one.

former_member13267
Participant
0 Kudos

Thank you, for checking this in sp8.

Do you have some idea maybe what should I do now ?
I really would like to avoid uninstalling the Java part and doing system copy from backup ..

ucabazz
Active Participant
0 Kudos

Piotr Strukiel,

What do you think if try to deploy the target version of MESSAGING SCA manually?In order to do this, follow the note: '1921719 - How to deploy same version of software/development component into java system via telnet command for 7.1x onwards java system'

--Abay

ucabazz
Active Participant
0 Kudos

Also Piotr Strukiel another suggestion is to check this note '2582950 - Unresolved dependencies error for EP-FLP component in SHOW-VALIDATION-RESULT phase of upgrade', the steps described in the resolution part, apply them to your case.

--Abay

ucabazz
Active Participant
0 Kudos

Hi strukiel1,

What is your current and target SPS level?

As per '2902917 - Solution Manager 7.2 FP Stack 11: recommended corrections' have you selected the latest Java patches during stack file creation in maintenance planner?

--Abay

former_member13267
Participant
0 Kudos

Yes I did, and sum still crashed. Sadly I only had DB backup, which I rolled back and now...I'm stuck somehow between SPS 8 and SPS 11
Some components are already at 7.50 and some are still 7.40